Skip to main content
GET
/
api
/
v1
/
testing-lab
/
calls
/
{agentCallId}
Get detail for a single observed call including per-metric scores
curl --request GET \
  --url https://prod.featherhq.com/api/v1/testing-lab/calls/{agentCallId} \
  --header 'X-API-Key: <api-key>'
{
  "id": 123,
  "call_id": "<string>",
  "duration": "<string>",
  "voice_recording_url": "<string>",
  "transcript": "<string>",
  "transcript_object": [
    null
  ],
  "agent_id": 123,
  "agent_name": "<string>",
  "agent": 123,
  "project": null,
  "success": true,
  "is_reviewed": true,
  "evaluation": {
    "metrics": [
      {
        "id": 123,
        "name": "<string>",
        "explanation": [
          "<string>"
        ],
        "extra": {},
        "vocera_defined_metric_code": "<string>",
        "function_name": "<string>",
        "thumbs_up": true,
        "score": 123,
        "score_normalized": 123
      }
    ]
  },
  "rubric": [
    {
      "value": 123,
      "passed": true,
      "metric_id": 123,
      "conditions": "<string>",
      "explanation": [
        "<string>"
      ],
      "metric_name": "<string>",
      "expected_conditions": null
    }
  ],
  "critical_categories": [
    null
  ],
  "metadata": {},
  "dynamic_variables": {},
  "user_generated_transcript": null,
  "customer_number": "<string>",
  "call_ended_reason": "<string>",
  "topic": "<string>",
  "dropoff_point": "<string>",
  "feedback": "<string>",
  "error_message": "<string>",
  "testing_channel_index": 123,
  "timestamp": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "agent_call_id": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

agentCallId
string
required

Response

Call detail retrieved successfully

id
number
required
call_id
string | null
duration
string | null
voice_recording_url
string | null
transcript
string | null
transcript_object
null[] | null
agent_id
agent_name
string | null
agent
number | null
project
unknown
status
enum<string> | null
Available options:
success,
failure,
reviewed_success,
reviewed_failure
success
boolean | null
is_reviewed
boolean | null
evaluation
object
rubric
object[] | null
critical_categories
null[] | null
metadata
object
dynamic_variables
object
user_generated_transcript
unknown
customer_number
string | null
call_ended_reason
string | null
topic
string | null
dropoff_point
string | null
feedback
string | null
error_message
string | null
testing_channel_index
number | null
timestamp
string | null
created_at
string | null
updated_at
string | null
agent_call_id
string | null